Readiness checks

Readiness checks endpoints, generated from the OpenAPI description.

Run an agent-readiness check on a domain

POST /api/v1/checks

Authentication: None.

Body: application/json, schema check-input.

StatusMeaning
200Summary, findings, and how to unlock the full report
422Problem
429Problem
503Problem

GET /api/v1/checks/{id}

Authentication: None.

ParameterInRequiredNotes
idpathyesReport UUID
StatusMeaning
200OK
404Problem
503Problem

Pay to unlock a report, or buy a pack of credits

POST /api/v1/checks/{id}/checkout

Authentication: None.

ParameterInRequiredNotes
idpathyes

Body: application/json, schema check-checkout.

StatusMeaning
200Stripe client secret
404Problem
409Problem
422Problem
429Problem
503Problem

Unlock a report with a credit code from a pack

POST /api/v1/checks/{id}/redeem

Authentication: None.

ParameterInRequiredNotes
idpathyes

Body: application/json, schema check-redeem.

StatusMeaning
200Unlocked, with credits remaining
404Problem
409Problem
422Problem
429Problem
503Problem